Page MenuHomePhabricator

Can't view old Vector on beta cluster via query string
Closed, ResolvedPublic3 Estimated Story Points

Description

Following the migration test run, I'm seeing some issues with the display of old Vector when using the useskin querystring parameter.

QA

For production test in eu.wikipedia.org

Test case 1

Expected: I should see the old Vector.
Actual: I see the modern Vector experience.

Test case 1

Expected: I should see the old Vector.
Actual: I see the modern Vector experience.

Developer notes

When VectorSkinMigrationMode is enabled, then skinversion query string parameter should cease to work.
For anons, wgDefaultSkin should be the source of truth in this situation for which skin to use.

For logged in users, we consult the user preferences table:

  • If skin is set to 'vector' and skin version is 2, we give them modern Vector.
  • If skin is set to 'vector' and skin version is 2, but skinversion query string parameter is set to 1, we give them legacy to allow them to override
  • If skin is set to 'vector' and skin version is 1, we give them old Vector.

QA Results - Beta

ACStatusDetails
1T299171#7671172
2T299171#7671172

QA Results - Prod

ACStatusDetails
1T299171#7671186
2T299171#7671186

Event Timeline

Change 753821 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/Vector@master] WIP: Fix useskin=vector

https://gerrit.wikimedia.org/r/753821

Jdlrobson renamed this task from Can't always view old Vector on beta cluster to Can't view old Vector on beta cluster via query string.Jan 14 2022, 12:32 AM
Jdlrobson triaged this task as Medium priority.
Jdlrobson updated the task description. (Show Details)

So apparently this is inheriting how it currently works when the default skin is Vector: e.g. https://fr.wikipedia.org/?useskin=vector
While only temporary, this does create a problem for people that need to test features for anonymous users in the old skin on the beta cluster so I'm looking into a fix.

Change 755036 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/Vector@master] Respect useskin when operating in MigrationMode

https://gerrit.wikimedia.org/r/755036

bwang added a subscriber: bwang.
cjming moved this task from Code Review to QA on the Readers-Web-Backlog (Kanbanana-FY-2021-22) board.
cjming added a subscriber: cjming.

Change 755036 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Respect useskin when operating in MigrationMode

https://gerrit.wikimedia.org/r/755036

Change 756573 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/Vector@wmf/1.38.0-wmf.18] Respect useskin when operating in MigrationMode

https://gerrit.wikimedia.org/r/756573

Change 756573 merged by jenkins-bot:

[mediawiki/skins/Vector@wmf/1.38.0-wmf.18] Respect useskin when operating in MigrationMode

https://gerrit.wikimedia.org/r/756573

Mentioned in SAL (#wikimedia-operations) [2022-01-24T19:34:48Z] <urbanecm@deploy1002> Synchronized php-1.38.0-wmf.18/skins/Vector/includes/Constants.php: 4f430a8: Respect useskin when operating in MigrationMode (T299171; 1/2) (duration: 00m 48s)

Mentioned in SAL (#wikimedia-operations) [2022-01-24T19:35:37Z] <urbanecm@deploy1002> Synchronized php-1.38.0-wmf.18/skins/Vector/: 4f430a8: Respect useskin when operating in MigrationMode (T299171; 2/2) (duration: 00m 48s)

Test Result - Beta

Status: ✅ PASS
Environment: beta
OS: macOS Monterey
Browser: Chrome
Device: MBP
Emulated Device:NA

Test Artifact(s):

QA Steps

✅ AC1: Test case 1
Load incognito window
Go to the URL https://en.wikipedia.beta.wmflabs.org/wiki/Spain?useskin=vector
Expected: I should see the old Vector.

Screen Shot 2022-02-02 at 6.01.10 AM.png (695×904 px, 206 KB)

✅ AC2: Test case 2
Sign in
Set vector-2022 as your default skin
Go to the URL https://en.wikipedia.beta.wmflabs.org/wiki/Spain?useskin=vector
Expected: I should see the old Vector.

Screen Shot 2022-02-02 at 5.50.53 AM.png (695×904 px, 297 KB)

Test Result - Prod

Status: ✅ PASS
Environment: euwiki
OS: macOS Monterey
Browser: Chrome
Device: MBP
Emulated Device:NA

Test Artifact(s):

QA Steps

✅ AC1: Test case 1
Load incognito window
Go to the URL https://eu.wikipedia.org/wiki/Spain?useskin=vector
Expected: I should see the old Vector.

Screen Shot 2022-02-02 at 6.04.07 AM.png (695×904 px, 199 KB)

✅ AC2: Test case 2
Sign in
Set vector-2022 as your default skin
Go to the URL https://eu.wikipedia.org/wiki/Spain?useskin=vector
Expected: I should see the old Vector.

Screen Shot 2022-02-02 at 6.05.08 AM.png (695×904 px, 205 KB)

Change 753821 abandoned by Jdlrobson:

[mediawiki/skins/Vector@master] Tests documenting how useskin=vector should work inside migration mode

Reason:

https://gerrit.wikimedia.org/r/753821

Confirming these are working and resolving. @Jdlrobson - I see an abandoned patch here, feel free to open if there's something missing